# std::filesystem::directory_entry::operator==,!=,<,<=,>,>=

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

bool operator==( const directory_entry& rhs ) const noexcept; | (1) | (since C++17)
bool operator!=( const directory_entry& rhs ) const noexcept; | (2) | (since C++17)
bool operator<( const directory_entry& rhs ) const noexcept; | (3) | (since C++17)
bool operator<=( const directory_entry& rhs ) const noexcept; | (4) | (since C++17)
bool operator>( const directory_entry& rhs ) const noexcept; | (5) | (since C++17)
bool operator>=( const directory_entry& rhs ) const noexcept; | (6) | (since C++17)

Compares the path with the directory entry `rhs`.

### Parameters

rhs | - | directory_entry to compare

### Return value

1) true if path() == rhs.path(), false otherwise.
2) true if path() != rhs.path(), false otherwise.
3) true if path() < rhs.path(), false otherwise.
4) true if path() <= rhs.path(), false otherwise.
5) true if path() > rhs.path(), false otherwise.
6) true if path() >= rhs.path(), false otherwise.

### See also

pathoperator const path& | returns the path the entry refers to (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/operator_cmp&oldid=105012"